-- AtlasLoot_Classes

-- loot.lua:
-- Loot tables for AtlasLoot_Classes data

local addonName, addonTable = ...

local AtlasLoot = _G.AtlasLoot

--if we are running with AtlasLoot before v8, cancel
if AtlasLoot and ATLASLOOT_VERSION_NUM then
  return
end

local data = AtlasLoot.ItemDB:Add(addonName)

local MASTERY = "|cFF1144FFMastery"
local EMPOWERED = "|cFF11FF44Empowered"
local function colorstr(class) return "|c"..RAID_CLASS_COLORS[class].colorStr end
local function coords(class) local c = CLASS_ICON_TCOORDS[class] return ":"..c[1]..":"..c[2]..":"..c[3]..":"..c[4] end
local COLOR_HORDE = "|cFFE62828"
local COLOR_ALLIANCE = "|cFF2828E6"

local HORDE_RACIAL_DIFF = data:AddDifficulty(COLOR_HORDE.."Horde")
local ALLIANCE_RACIAL_DIFF = data:AddDifficulty(COLOR_ALLIANCE.."Alliance")
local BOTH_RACIAL_DIFF = data:AddDifficulty(COLOR_HORDE.."Horde|cFFFFFFFF+"..COLOR_ALLIANCE.."Alliance")
local DK_DIFF = data:AddDifficulty("Death Knight")
local DRUID_DIFF = data:AddDifficulty("Druid")
local HUNTER_DIFF = data:AddDifficulty("Hunter")
local MAGE_DIFF = data:AddDifficulty("Mage")
local MONK_DIFF = data:AddDifficulty("Monk")
local PALADIN_DIFF = data:AddDifficulty("Paladin")
local PRIEST_DIFF = data:AddDifficulty("Priest")
local ROGUE_DIFF = data:AddDifficulty("Rogue")
local SHAMAN_DIFF = data:AddDifficulty("Shaman")
local WARLOCK_DIFF = data:AddDifficulty("Warlock")
local WARRIOR_DIFF = data:AddDifficulty("Warrior")

local SPELL_ITTYPE = data:AddItemTableType("ClassesSpell")

local CLASSES_CONTENT = data:AddContentType("Classes", {0.0, 0.0, 0.0, 1})
local RACIAL_CONTENT = data:AddContentType("Races", {0.0, 0.0, 0.0, 1})

local FACTION_INFO_IS_SET_ID = 998
local IGNORE_THIS_BUTTON_ID = 999

data["CLASS_DK"] = {
  name = "Death Knight",
  ContentType = CLASSES_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "General",
      CoinTexture = "texture:Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes"..coords("DEATHKNIGHT"),
      [DK_DIFF] = {
        { 1, 76282 },
        { 2, 76292 },
        { 4, { id = 82246, level = "1" }, },
        { 5, { id = 50842, level = "55" }, },
        { 6, { id = 47541, level = "55" }, },
        { 7, { id = 50977, level = "55" }, },
        { 8, { id = 49576, level = "55" }, },
        { 9, { id = 48266, level = "55" }, },
        { 10, { id = 45477, level = "55" }, },
        { 11, { id = 45462, level = "55" }, },
        { 12, { id = 53428, level = "55" }, },
        { 13, { id = 49998, level = "56" }, },
        { 14, { id = 48263, level = "57" }, },
        { 15, { id = 47528, level = "57" }, },
        { 16, { id = 45524, level = "58" }, },
        { 17, { id = 47476, level = "58" }, },
        { 18, { id = 178819, level = "60" }, },
        { 19, { id = 43265, level = "60" }, },
        { 20, { id = 51986, level = "61" }, },
        { 21, { id = 48792, level = "62" }, },
        { 22, { id = 48265, level = "64" }, },
        { 23, { id = 57330, level = "65" }, },
        { 24, { id = 3714, level = "66" }, },
        { 25, { id = 48707, level = "68" }, },
        { 26, { id = 111673, level = "69" }, },
        { 27, { id = 61999, level = "72" }, },
        { 28, { id = 47568, level = "76" }, },
        { 29, { id = 42650, level = "80" }, },
        { 30, { id = 77575, level = "81" }, },
        { 101, { id = 77606, level = "85" }, },
        { 102, { id = 130736, level = "87" }, },
      },
    },
    {
      name = "Blood",
      CoinTexture = "texture:Interface\\Icons\\spell_deathknight_bloodpresence",
      [DK_DIFF] = {
        { 1, { id = 82246, level = 1 }, },
        { 2, { id = 161608, level = 10 }, },
        { 3, { id = 81136, level = 10 }, },
        { 4, { id = 158298, level = 10 }, },
        { 5, { id = 50842, level = 55 }, },
        { 6, { id = 50034, level = 55 }, },
        { 7, { id = 47541, level = 55 }, },
        { 8, { id = 50977, level = 55 }, },
        { 9, { id = 49576, level = 55 }, },
        { 10, { id = 48266, level = 55 }, },
        { 11, { id = 45477, level = 55 }, },
        { 12, { id = 45462, level = 55 }, },
        { 13, { id = 53428, level = 55 }, },
        { 14, { id = 50029, level = 55 }, },
        { 15, { id = 49998, level = 56 }, },
        { 16, { id = 48263, level = 57 }, },
        { 17, { id = 47528, level = 57 }, },
        { 18, { id = 45524, level = 58 }, },
        { 19, { id = 56222, level = 58 }, },
        { 20, { id = 47476, level = 58 }, },
        { 21, { id = 178819, level = 60 }, },
        { 22, { id = 43265, level = 60 }, },
        { 23, { id = 51986, level = 61 }, },
        { 24, { id = 48792, level = 62 }, },
        { 25, { id = 50371, level = 64 }, },
        { 26, { id = 48982, level = 64 }, },
        { 27, { id = 48265, level = 64 }, },
        { 28, { id = 57330, level = 65 }, },
        { 29, { id = 3714, level = 66 }, },
        { 30, { id = 48707, level = 68 }, },
        { 101, { id = 111673, level = 69 }, },
        { 102, { id = 81164, level = 70 }, },
        { 103, { id = 61999, level = 72 }, },
        { 104, { id = 81127, level = 72 }, },
        { 105, { id = 49028, level = 74 }, },
        { 106, { id = 47568, level = 76 }, },
        { 107, { id = 161797, level = 76 }, },
        { 108, { id = 55233, level = 76 }, },
        { 109, { id = 49222, level = 78 }, },
        { 110, { id = 42650, level = 80 }, },
        { 111, { id = 77513, level = 80, rank = MASTERY }, },
        { 112, { id = 155522, level = 80 }, },
        { 113, { id = 77575, level = 81 }, },
        { 114, { id = 77606, level = 85 }, },
        { 115, { id = 130736, level = 87 }, },
        { 116, { id = 114866, level = 87 }, },
        { 117, { id = 165394, level = 90 }, },
        { 118, { id = 157338, level = "92+", rank = EMPOWERED }, },
        { 119, { id = 157343, level = "92+", rank = EMPOWERED }, },
        { 120, { id = 157337, level = "92+", rank = EMPOWERED }, },
        { 121, { id = 157336, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Frost",
      CoinTexture = "texture:Interface\\Icons\\spell_deathknight_frostpresence",
      [DK_DIFF] = {
        { 1, { id = 674, level = "1" }, },
        { 2, { id = 82246, level = "1" }, },
        { 3, { id = 59057, level = "10" }, },
        { 4, { id = 50842, level = "55" }, },
        { 5, { id = 54637, level = "55" }, },
        { 6, { id = 47541, level = "55" }, },
        { 7, { id = 50977, level = "55" }, },
        { 8, { id = 49576, level = "55" }, },
        { 9, { id = 48266, level = "55" }, },
        { 10, { id = 49143, level = "55" }, },
        { 11, { id = 49184, level = "55" }, },
        { 12, { id = 50887, level = "55" }, },
        { 13, { id = 45477, level = "55" }, },
        { 14, { id = 45462, level = "55" }, },
        { 15, { id = 53428, level = "55" }, },
        { 16, { id = 49998, level = "56" }, },
        { 17, { id = 48263, level = "57" }, },
        { 18, { id = 47528, level = "57" }, },
        { 19, { id = 45524, level = "58" }, },
        { 20, { id = 49020, level = "58" }, },
        { 21, { id = 47476, level = "58" }, },
        { 22, { id = 178819, level = "60" }, },
        { 23, { id = 43265, level = "60" }, },
        { 24, { id = 55610, level = "60" }, },
        { 25, { id = 51986, level = "61" }, },
        { 26, { id = 48792, level = "62" }, },
        { 27, { id = 51128, level = "63" }, },
        { 28, { id = 48265, level = "64" }, },
        { 29, { id = 57330, level = "65" }, },
        { 30, { id = 50385, level = "65" }, },
        { 101, { id = 3714, level = "66" }, },
        { 102, { id = 48707, level = "68" }, },
        { 103, { id = 51271, level = "68" }, },
        { 104, { id = 111673, level = "69" }, },
        { 105, { id = 61999, level = "72" }, },
        { 106, { id = 81333, level = "74" }, },
        { 107, { id = 66192, level = "74" }, },
        { 108, { id = 47568, level = "76" }, },
        { 109, { id = 42650, level = "80" }, },
        { 110, { id = 77514, level = "80", rank = MASTERY }, },
        { 111, { id = 77575, level = "81" }, },
        { 112, { id = 77606, level = "85" }, },
        { 113, { id = 130736, level = "87" }, },
        { 114, { id = 130735, level = "87" }, },
        { 115, { id = 157409, level = "92+", rank = EMPOWERED }, },
        { 116, { id = 157389, level = "92+", rank = EMPOWERED }, },
        { 117, { id = 157367, level = "92+", rank = EMPOWERED }, },
        { 118, { id = 157376, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Unholy",
      CoinTexture = "texture:Interface\\Icons\\spell_deathknight_unholypresence",
      [DK_DIFF] = {
        { 1, { id = 82246, level = "1" }, },
        { 2, { id = 51160, level = "10" }, },
        { 3, { id = 56835, level = "10" }, },
        { 4, { id = 50842, level = "55" }, },
        { 5, { id = 47541, level = "55" }, },
        { 6, { id = 50977, level = "55" }, },
        { 7, { id = 49576, level = "55" }, },
        { 8, { id = 48266, level = "55" }, },
        { 9, { id = 45477, level = "55" }, },
        { 10, { id = 45462, level = "55" }, },
        { 11, { id = 53428, level = "55" }, },
        { 12, { id = 91107, level = "55" }, },
        { 13, { id = 49998, level = "56" }, },
        { 14, { id = 46584, level = "56" }, },
        { 15, { id = 48263, level = "57" }, },
        { 16, { id = 47528, level = "57" }, },
        { 17, { id = 45524, level = "58" }, },
        { 18, { id = 55090, level = "58" }, },
        { 19, { id = 47476, level = "58" }, },
        { 20, { id = 178819, level = "60" }, },
        { 21, { id = 43265, level = "60" }, },
        { 22, { id = 49572, level = "60" }, },
        { 23, { id = 55610, level = "60" }, },
        { 24, { id = 51986, level = "61" }, },
        { 25, { id = 85948, level = "62" }, },
        { 26, { id = 48792, level = "62" }, },
        { 27, { id = 49530, level = "64" }, },
        { 28, { id = 48265, level = "64" }, },
        { 29, { id = 57330, level = "65" }, },
        { 30, { id = 3714, level = "66" }, },
        { 101, { id = 48707, level = "68" }, },
        { 102, { id = 111673, level = "69" }, },
        { 103, { id = 63560, level = "70" }, },
        { 104, { id = 61999, level = "72" }, },
        { 105, { id = 49206, level = "74" }, },
        { 106, { id = 50392, level = "75" }, },
        { 107, { id = 47568, level = "76" }, },
        { 108, { id = 42650, level = "80" }, },
        { 109, { id = 77515, level = "80", rank = MASTERY }, },
        { 110, { id = 77575, level = "81" }, },
        { 111, { id = 77606, level = "85" }, },
        { 112, { id = 130736, level = "87" }, },
        { 113, { id = 165395, level = "90" }, },
        { 114, { id = 157441, level = "92+", rank = EMPOWERED }, },
        { 115, { id = 157412, level = "92+", rank = EMPOWERED }, },
        { 116, { id = 157437, level = "92+", rank = EMPOWERED }, },
        { 117, { id = 157342, level = "92+", rank = EMPOWERED }, },
      },
    },
  },
}

data["CLASS_DRUID"] = {
  name = "Druid",
  ContentType = CLASSES_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "General",
      CoinTexture = "texture:Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes"..coords("DRUID"),
      [DRUID_DIFF] = {
        { 1, 76275 },
        { 2, 76300 },
        { 4, { id = 5176, level = "1" }, },
        { 5, { id = 8921, level = "3" }, },
        { 6, { id = 164812, level = "3" }, },
        { 7, { id = 774, level = "4" }, },
        { 8, { id = 768, level = "6" }, },
        { 9, { id = 125972, level = "6" }, },
        { 10, { id = 22568, level = "6" }, },
        { 11, { id = 5215, level = "6" }, },
        { 12, { id = 5221, level = "6" }, },
        { 13, { id = 5487, level = "8" }, },
        { 14, { id = 6795, level = "8" }, },
        { 15, { id = 33917, level = "8" }, },
        { 16, { id = 339, level = "10" }, },
        { 17, { id = 50769, level = "12" }, },
        { 18, { id = 18960, level = "14" }, },
        { 19, { id = 106832, level = "14" }, },
        { 20, { id = 783, level = "16" }, },
        { 21, { id = 164815, level = "18" }, },
        { 22, { id = 1850, level = "24" }, },
        { 23, { id = 5185, level = "26" }, },
        { 24, { id = 16961, level = "30" }, },
        { 25, { id = 20484, level = "56" }, },
        { 26, { id = 2908, level = "60" }, },
        { 27, { id = 1126, level = "62" }, },
        { 28, { id = 22842, level = "68" }, },
        { 29, { id = 33786, level = "78" }, },
        { 30, { id = 106898, level = "84" }, },
      },
    },
    {
      name = "Balance",
      CoinTexture = "texture:Interface\\Icons\\spell_nature_starfall",
      [DRUID_DIFF] = {
        { 1, { id = 5176, level = "1" }, },
        { 2, { id = 164812, level = "3" }, },
        { 3, { id = 8921, level = "3" }, },
        { 4, { id = 774, level = "4" }, },
        { 5, { id = 768, level = "6" }, },
        { 6, { id = 125972, level = "6" }, },
        { 7, { id = 22568, level = "6" }, },
        { 8, { id = 5215, level = "6" }, },
        { 9, { id = 5221, level = "6" }, },
        { 10, { id = 5487, level = "8" }, },
        { 11, { id = 6795, level = "8" }, },
        { 12, { id = 33917, level = "8" }, },
        { 13, { id = 339, level = "10" }, },
        { 14, { id = 108299, level = "10" }, },
        { 15, { id = 112857, level = "10" }, },
        { 16, { id = 2912, level = "10" }, },
        { 17, { id = 50769, level = "12" }, },
        { 18, { id = 78674, level = "12" }, },
        { 19, { id = 18960, level = "14" }, },
        { 20, { id = 106832, level = "14" }, },
        { 21, { id = 24858, level = "16" }, },
        { 22, { id = 783, level = "16" }, },
        { 23, { id = 164815, level = "18" }, },
        { 24, { id = 127663, level = "20" }, },
        { 25, { id = 2782, level = "22" }, },
        { 26, { id = 1850, level = "24" }, },
        { 27, { id = 5185, level = "26" }, },
        { 28, { id = 93399, level = "26" }, },
        { 29, { id = 78675, level = "28" }, },
        { 30, { id = 16961, level = "30" }, },
        { 101, { id = 22812, level = "44" }, },
        { 102, { id = 86104, level = "50" }, },
        { 103, { id = 20484, level = "56" }, },
        { 104, { id = 2908, level = "60" }, },
        { 105, { id = 1126, level = "62" }, },
        { 106, { id = 112071, level = "68" }, },
        { 107, { id = 22842, level = "68" }, },
        { 108, { id = 48505, level = "76" }, },
        { 109, { id = 33786, level = "78" }, },
        { 110, { id = 77492, level = "80", rank = MASTERY }, },
        { 111, { id = 33605, level = "82" }, },
        { 112, { id = 106898, level = "84" }, },
        { 113, { id = 88747, level = "84" }, },
        { 114, { id = 165386, level = "90" }, },
        { 115, { id = 157229, level = "92+", rank = EMPOWERED }, },
        { 116, { id = 157227, level = "92+", rank = EMPOWERED }, },
        { 117, { id = 157301, level = "92+", rank = EMPOWERED }, },
        { 118, { id = 157232, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Feral",
      CoinTexture = "texture:Interface\\Icons\\ability_druid_catform",
      [DRUID_DIFF] = {
        { 1, { id = 157447, level = "1" }, },
        { 2, { id = 166142, level = "1" }, },
        { 3, { id = 5176, level = "1" }, },
        { 4, { id = 164812, level = "3" }, },
        { 5, { id = 8921, level = "3" }, },
        { 6, { id = 774, level = "4" }, },
        { 7, { id = 768, level = "6" }, },
        { 8, { id = 125972, level = "6" }, },
        { 9, { id = 22568, level = "6" }, },
        { 10, { id = 5215, level = "6" }, },
        { 11, { id = 1822, level = "6" }, },
        { 12, { id = 5221, level = "6" }, },
        { 13, { id = 5487, level = "8" }, },
        { 14, { id = 6795, level = "8" }, },
        { 15, { id = 33917, level = "8" }, },
        { 16, { id = 339, level = "10" }, },
        { 17, { id = 33873, level = "10" }, },
        { 18, { id = 5217, level = "10" }, },
        { 19, { id = 50769, level = "12" }, },
        { 20, { id = 18960, level = "14" }, },
        { 21, { id = 106832, level = "14" }, },
        { 22, { id = 783, level = "16" }, },
        { 23, { id = 52610, level = "18" }, },
        { 24, { id = 164815, level = "18" }, },
        { 25, { id = 1079, level = "20" }, },
        { 26, { id = 2782, level = "22" }, },
        { 27, { id = 106785, level = "22" }, },
        { 28, { id = 1850, level = "24" }, },
        { 29, { id = 5185, level = "26" }, },
        { 30, { id = 16974, level = "26" }, },
        { 101, { id = 770, level = "28" }, },
        { 102, { id = 16961, level = "30" }, },
        { 103, { id = 16864, level = "38" }, },
        { 104, { id = 48484, level = "40" }, },
        { 105, { id = 17007, level = "46" }, },
        { 106, { id = 106952, level = "48" }, },
        { 107, { id = 86097, level = "50" }, },
        { 108, { id = 20484, level = "56" }, },
        { 109, { id = 61336, level = "56" }, },
        { 110, { id = 2908, level = "60" }, },
        { 111, { id = 1126, level = "62" }, },
        { 112, { id = 106839, level = "64" }, },
        { 113, { id = 22842, level = "68" }, },
        { 114, { id = 33786, level = "78" }, },
        { 115, { id = 77493, level = "80", rank = MASTERY }, },
        { 116, { id = 22570, level = "82" }, },
        { 117, { id = 106898, level = "84" }, },
        { 118, { id = 165372, level = "90" }, },
        { 119, { id = 157269, level = "92+", rank = EMPOWERED }, },
        { 120, { id = 157274, level = "92+", rank = EMPOWERED }, },
        { 121, { id = 157280, level = "92+", rank = EMPOWERED }, },
        { 122, { id = 157276, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Guardian",
      CoinTexture = "texture:Interface\\Icons\\ability_racial_bearform",
      [DRUID_DIFF] = {
        { 1, { id = 157447, level = "1" }, },
        { 2, { id = 166142, level = "1" }, },
        { 3, { id = 5176, level = "1" }, },
        { 4, { id = 8921, level = "3" }, },
        { 5, { id = 164812, level = "3" }, },
        { 6, { id = 774, level = "4" }, },
        { 7, { id = 768, level = "6" }, },
        { 8, { id = 125972, level = "6" }, },
        { 9, { id = 22568, level = "6" }, },
        { 10, { id = 5215, level = "6" }, },
        { 11, { id = 5221, level = "6" }, },
        { 12, { id = 5487, level = "8" }, },
        { 13, { id = 6795, level = "8" }, },
        { 14, { id = 33917, level = "8" }, },
        { 15, { id = 161608, level = "10" }, },
        { 16, { id = 339, level = "10" }, },
        { 17, { id = 6807, level = "10" }, },
        { 18, { id = 33873, level = "10" }, },
        { 19, { id = 158298, level = "10" }, },
        { 20, { id = 62606, level = "10" }, },
        { 21, { id = 16931, level = "10" }, },
        { 22, { id = 50769, level = "12" }, },
        { 23, { id = 18960, level = "14" }, },
        { 24, { id = 106832, level = "14" }, },
        { 25, { id = 783, level = "16" }, },
        { 26, { id = 164815, level = "18" }, },
        { 27, { id = 2782, level = "22" }, },
        { 28, { id = 1850, level = "24" }, },
        { 29, { id = 5185, level = "26" }, },
        { 30, { id = 770, level = "28" }, },
        { 101, { id = 16961, level = "30" }, },
        { 102, { id = 135288, level = "32" }, },
        { 103, { id = 33745, level = "38" }, },
        { 104, { id = 48484, level = "40" }, },
        { 105, { id = 22812, level = "44" }, },
        { 106, { id = 106952, level = "48" }, },
        { 107, { id = 86096, level = "50" }, },
        { 108, { id = 20484, level = "56" }, },
        { 109, { id = 61336, level = "56" }, },
        { 110, { id = 2908, level = "60" }, },
        { 111, { id = 1126, level = "62" }, },
        { 112, { id = 106839, level = "64" }, },
        { 113, { id = 22842, level = "68" }, },
        { 114, { id = 33786, level = "78" }, },
        { 115, { id = 155783, level = "80", rank = MASTERY }, },
        { 116, { id = 106898, level = "84" }, },
        { 117, { id = 165387, level = "90" }, },
        { 118, { id = 159232, level = "90" }, },
        { 119, { id = 157292, level = "92+", rank = EMPOWERED }, },
        { 120, { id = 157284, level = "92+", rank = EMPOWERED }, },
        { 121, { id = 157286, level = "92+", rank = EMPOWERED }, },
        { 122, { id = 157283, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Restoration",
      CoinTexture = "texture:Interface\\Icons\\spell_nature_healingtouch",
      [DRUID_DIFF] = {
        { 1, { id = 5176, level = "1" }, },
        { 2, { id = 8921, level = "3" }, },
        { 3, { id = 164812, level = "3" }, },
        { 4, { id = 774, level = "4" }, },
        { 5, { id = 768, level = "6" }, },
        { 6, { id = 125972, level = "6" }, },
        { 7, { id = 22568, level = "6" }, },
        { 8, { id = 5215, level = "6" }, },
        { 9, { id = 5221, level = "6" }, },
        { 10, { id = 5487, level = "8" }, },
        { 11, { id = 6795, level = "8" }, },
        { 12, { id = 33917, level = "8" }, },
        { 13, { id = 339, level = "10" }, },
        { 14, { id = 108299, level = "10" }, },
        { 15, { id = 92364, level = "10" }, },
        { 16, { id = 112857, level = "10" }, },
        { 17, { id = 17073, level = "10" }, },
        { 18, { id = 18562, level = "10" }, },
        { 19, { id = 50769, level = "12" }, },
        { 20, { id = 85101, level = "14" }, },
        { 21, { id = 18960, level = "14" }, },
        { 22, { id = 106832, level = "14" }, },
        { 23, { id = 783, level = "16" }, },
        { 24, { id = 8936, level = "18" }, },
        { 25, { id = 164815, level = "18" }, },
        { 26, { id = 88423, level = "22" }, },
        { 27, { id = 1850, level = "24" }, },
        { 28, { id = 5185, level = "26" }, },
        { 29, { id = 48500, level = "28" }, },
        { 30, { id = 132158, level = "30" }, },
        { 101, { id = 16961, level = "30" }, },
        { 102, { id = 33763, level = "36" }, },
        { 103, { id = 113043, level = "38" }, },
        { 104, { id = 22812, level = "44" }, },
        { 105, { id = 86093, level = "50" }, },
        { 106, { id = 20484, level = "56" }, },
        { 107, { id = 2908, level = "60" }, },
        { 108, { id = 1126, level = "62" }, },
        { 109, { id = 102342, level = "64" }, },
        { 110, { id = 22842, level = "68" }, },
        { 111, { id = 740, level = "74" }, },
        { 112, { id = 48438, level = "76" }, },
        { 113, { id = 33786, level = "78" }, },
        { 114, { id = 77495, level = "80", rank = MASTERY }, },
        { 115, { id = 106898, level = "84" }, },
        { 116, { id = 145205, level = "84" }, },
        { 117, { id = 145518, level = "88" }, },
        { 118, { id = 165374, level = "90" }, },
        { 119, { id = 157305, level = "92+", rank = EMPOWERED }, },
        { 120, { id = 157300, level = "92+", rank = EMPOWERED }, },
        { 121, { id = 157312, level = "92+", rank = EMPOWERED }, },
        { 122, { id = 157301, level = "92+", rank = EMPOWERED }, },
      },
    },
  },
}

data["CLASS_HUNTER"] = {
  name = "Hunter",
  ContentType = CLASSES_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "General",
      CoinTexture = "texture:Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes"..coords("HUNTER"),
      [HUNTER_DIFF] = {
        { 1, 76250 },
        { 2, 76249 },
        { 4, { id = 3044, level = "1" }, },
        { 5, { id = 883, level = "1" }, },
        { 6, { id = 157443, level = "1" }, },
        { 7, { id = 982, level = "1" }, },
        { 8, { id = 56641, level = "3" }, },
        { 9, { id = 5116, level = "8" }, },
        { 10, { id = 1462, level = "10" }, },
        { 11, { id = 83242, level = "10" }, },
        { 12, { id = 93321, level = "10" }, },
        { 13, { id = 2641, level = "10" }, },
        { 14, { id = 1515, level = "10" }, },
        { 15, { id = 6991, level = "11" }, },
        { 16, { id = 781, level = "14" }, },
        { 17, { id = 6197, level = "16" }, },
        { 18, { id = 136, level = "16" }, },
        { 19, { id = 147362, level = "22" }, },
        { 20, { id = 5118, level = "24" }, },
        { 21, { id = 2643, level = "24" }, },
        { 22, { id = 1499, level = "28" }, },
        { 23, { id = 5384, level = "32" }, },
        { 24, { id = 19801, level = "35" }, },
        { 25, { id = 13813, level = "38" }, },
        { 26, { id = 1543, level = "38" }, },
        { 27, { id = 19506, level = "39" }, },
        { 28, { id = 83243, level = "42" }, },
        { 29, { id = 34477, level = "42" }, },
        { 30, { id = 13809, level = "46" }, },
        { 101, { id = 77769, level = "48" }, },
        { 102, { id = 20736, level = "52" }, },
        { 103, { id = 13159, level = "56" }, },
        { 104, { id = 83244, level = "62" }, },
        { 105, { id = 53271, level = "74" }, },
        { 106, { id = 19263, level = "78" }, },
        { 107, { id = 83245, level = "82" }, },
        { 108, { id = 172106, level = "84" }, },
        { 109, { id = 51753, level = "85" }, },
      },
    },
    {
      name = "Beast Mastery",
      CoinTexture = "texture:Interface\\Icons\\ability_hunter_bestialdiscipline",
      [HUNTER_DIFF] = {
        { 1, { id = 3044, level = "1" }, },
        { 2, { id = 883, level = "1" }, },
        { 3, { id = 157443, level = "1" }, },
        { 4, { id = 982, level = "1" }, },
        { 5, { id = 56641, level = "3" }, },
        { 6, { id = 5116, level = "8" }, },
        { 7, { id = 1462, level = "10" }, },
        { 8, { id = 83242, level = "10" }, },
        { 9, { id = 93321, level = "10" }, },
        { 10, { id = 2641, level = "10" }, },
        { 11, { id = 34026, level = "10" }, },
        { 12, { id = 1515, level = "10" }, },
        { 13, { id = 6991, level = "11" }, },
        { 14, { id = 781, level = "14" }, },
        { 15, { id = 6197, level = "16" }, },
        { 16, { id = 136, level = "16" }, },
        { 17, { id = 34954, level = "20" }, },
        { 18, { id = 147362, level = "22" }, },
        { 19, { id = 5118, level = "24" }, },
        { 20, { id = 115939, level = "24" }, },
        { 21, { id = 2643, level = "24" }, },
        { 22, { id = 1499, level = "28" }, },
        { 23, { id = 19623, level = "30" }, },
        { 24, { id = 5384, level = "32" }, },
        { 25, { id = 82692, level = "32" }, },
        { 26, { id = 53351, level = "35" }, },
        { 27, { id = 19801, level = "35" }, },
        { 28, { id = 13813, level = "38" }, },
        { 29, { id = 1543, level = "38" }, },
        { 30, { id = 19506, level = "39" }, },
        { 101, { id = 19574, level = "40" }, },
        { 102, { id = 83243, level = "42" }, },
        { 103, { id = 34477, level = "42" }, },
        { 104, { id = 53260, level = "43" }, },
        { 105, { id = 13809, level = "46" }, },
        { 106, { id = 77769, level = "48" }, },
        { 107, { id = 20736, level = "52" }, },
        { 108, { id = 13159, level = "56" }, },
        { 109, { id = 56315, level = "58" }, },
        { 110, { id = 83244, level = "62" }, },
        { 111, { id = 53253, level = "63" }, },
        { 112, { id = 53270, level = "69" }, },
        { 113, { id = 53271, level = "74" }, },
        { 114, { id = 19263, level = "78" }, },
        { 115, { id = 76657, level = "80", rank = MASTERY }, },
        { 116, { id = 77767, level = "81" }, },
        { 117, { id = 83245, level = "82" }, },
        { 118, { id = 172106, level = "84" }, },
        { 119, { id = 51753, level = "85" }, },
        { 120, { id = 165389, level = "90" }, },
        { 121, { id = 157715, level = "92+", rank = EMPOWERED }, },
        { 122, { id = 157718, level = "92+", rank = EMPOWERED }, },
        { 123, { id = 157714, level = "92+", rank = EMPOWERED }, },
        { 124, { id = 157705, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Marksmanship",
      CoinTexture = "texture:Interface\\Icons\\ability_hunter_focusedaim",
      [HUNTER_DIFF] = {
        { 1, { id = 3044, level = "1" }, },
        { 2, { id = 883, level = "1" }, },
        { 3, { id = 157443, level = "1" }, },
        { 4, { id = 982, level = "1" }, },
        { 5, { id = 56641, level = "3" }, },
        { 6, { id = 5116, level = "8" }, },
        { 7, { id = 19434, level = "10" }, },
        { 8, { id = 1462, level = "10" }, },
        { 9, { id = 83242, level = "10" }, },
        { 10, { id = 93321, level = "10" }, },
        { 11, { id = 2641, level = "10" }, },
        { 12, { id = 1515, level = "10" }, },
        { 13, { id = 6991, level = "11" }, },
        { 14, { id = 781, level = "14" }, },
        { 15, { id = 6197, level = "16" }, },
        { 16, { id = 136, level = "16" }, },
        { 17, { id = 34483, level = "20" }, },
        { 18, { id = 147362, level = "22" }, },
        { 19, { id = 5118, level = "24" }, },
        { 20, { id = 2643, level = "24" }, },
        { 21, { id = 1499, level = "28" }, },
        { 22, { id = 5384, level = "32" }, },
        { 23, { id = 53351, level = "35" }, },
        { 24, { id = 19801, level = "35" }, },
        { 25, { id = 13813, level = "38" }, },
        { 26, { id = 1543, level = "38" }, },
        { 27, { id = 19506, level = "39" }, },
        { 28, { id = 83243, level = "42" }, },
        { 29, { id = 34477, level = "42" }, },
        { 30, { id = 35110, level = "45" }, },
        { 101, { id = 13809, level = "46" }, },
        { 102, { id = 77769, level = "48" }, },
        { 103, { id = 20736, level = "52" }, },
        { 104, { id = 3045, level = "54" }, },
        { 105, { id = 13159, level = "56" }, },
        { 106, { id = 53209, level = "60" }, },
        { 107, { id = 83244, level = "62" }, },
        { 108, { id = 53271, level = "74" }, },
        { 109, { id = 19263, level = "78" }, },
        { 110, { id = 76659, level = "80", rank = MASTERY }, },
        { 111, { id = 83245, level = "82" }, },
        { 112, { id = 172106, level = "84" }, },
        { 113, { id = 51753, level = "85" }, },
        { 114, { id = 165378, level = "90" }, },
        { 115, { id = 157724, level = "92+", rank = EMPOWERED }, },
        { 116, { id = 157718, level = "92+", rank = EMPOWERED }, },
        { 117, { id = 157707, level = "92+", rank = EMPOWERED }, },
        { 118, { id = 157726, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Survival",
      CoinTexture = "texture:Interface\\Icons\\ability_hunter_camouflage",
      [HUNTER_DIFF] = {
        { 1, { id = 3044, level = "1" }, },
        { 2, { id = 883, level = "1" }, },
        { 3, { id = 157443, level = "1" }, },
        { 4, { id = 982, level = "1" }, },
        { 5, { id = 56641, level = "3" }, },
        { 6, { id = 5116, level = "8" }, },
        { 7, { id = 1462, level = "10" }, },
        { 8, { id = 83242, level = "10" }, },
        { 9, { id = 93321, level = "10" }, },
        { 10, { id = 2641, level = "10" }, },
        { 11, { id = 53301, level = "10" }, },
        { 12, { id = 164856, level = "10" }, },
        { 13, { id = 1515, level = "10" }, },
        { 14, { id = 63458, level = "10" }, },
        { 15, { id = 6991, level = "11" }, },
        { 16, { id = 781, level = "14" }, },
        { 17, { id = 6197, level = "16" }, },
        { 18, { id = 136, level = "16" }, },
        { 19, { id = 147362, level = "22" }, },
        { 20, { id = 5118, level = "24" }, },
        { 21, { id = 2643, level = "24" }, },
        { 22, { id = 1499, level = "28" }, },
        { 23, { id = 5384, level = "32" }, },
        { 24, { id = 19801, level = "35" }, },
        { 25, { id = 13813, level = "38" }, },
        { 26, { id = 1543, level = "38" }, },
        { 27, { id = 19506, level = "39" }, },
        { 28, { id = 83243, level = "42" }, },
        { 29, { id = 34477, level = "42" }, },
        { 30, { id = 13809, level = "46" }, },
        { 101, { id = 77769, level = "48" }, },
        { 102, { id = 3674, level = "50" }, },
        { 103, { id = 20736, level = "52" }, },
        { 104, { id = 19387, level = "55" }, },
        { 105, { id = 13159, level = "56" }, },
        { 106, { id = 83244, level = "62" }, },
        { 107, { id = 87935, level = "68" }, },
        { 108, { id = 53271, level = "74" }, },
        { 109, { id = 19263, level = "78" }, },
        { 110, { id = 76658, level = "80", rank = MASTERY }, },
        { 111, { id = 77767, level = "81" }, },
        { 112, { id = 83245, level = "82" }, },
        { 113, { id = 172106, level = "84" }, },
        { 114, { id = 51753, level = "85" }, },
        { 115, { id = 165396, level = "90" }, },
        { 116, { id = 157748, level = "92+", rank = EMPOWERED }, },
        { 117, { id = 157718, level = "92+", rank = EMPOWERED }, },
        { 118, { id = 157752, level = "92+", rank = EMPOWERED }, },
        { 119, { id = 157751, level = "92+", rank = EMPOWERED }, },
      },
    },
  },
}

data["CLASS_MAGE"] = {
  name = "Mage",
  ContentType = CLASSES_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "General",
      CoinTexture = "texture:Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes"..coords("MAGE"),
      [MAGE_DIFF] = {
        { 1, 76276 },
        { 2, 76298 },
        { 4, { id = 44614, level = "1" }, },
        { 5, { id = 5019, level = "1" }, },
        { 6, { id = 122, level = "3" }, },
        { 7, { id = 2136, level = "5" }, },
        { 8, { id = 1953, level = "7" }, },
        { 9, { id = 2139, level = "8" }, },
        { 10, { id = 118, level = "14" }, },
        { 11, { id = 45438, level = "15" }, },
        { 12, { id = 3565, level = "17" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 13, { id = 32271, level = "17" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 14, { id = 3562, level = "17" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 15, { id = 3567, level = "17" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 16, { id = 32272, level = "17" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 17, { id = 3561, level = "17" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 18, { id = 49359, level = "17" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 19, { id = 3566, level = "17" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 20, { id = 3563, level = "17" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 21, { id = 120, level = "28" }, },
        { 22, { id = 475, level = "29" }, },
        { 23, { id = 130, level = "32" }, },
        { 24, { id = 42955, level = "38" }, },
        { 25, { id = 11419, level = "42" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 26, { id = 32266, level = "42" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 27, { id = 11416, level = "42" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 28, { id = 11417, level = "42" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 29, { id = 32267, level = "42" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 30, { id = 10059, level = "42" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 101, { id = 49360, level = "42" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 102, { id = 11420, level = "42" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 103, { id = 11418, level = "42" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 104, { id = 49361, level = "52" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 105, { id = 49358, level = "52" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 106, { id = 66, level = "56" }, },
        { 107, { id = 1459, level = "58" }, },
        { 108, { id = 161372, level = "60" }, },
        { 109, { id = 61721, level = "60" }, },
        { 110, { id = 28271, level = "60" }, },
        { 111, { id = 161355, level = "60" }, },
        { 112, { id = 126819, level = "60" }, },
        { 113, { id = 61305, level = "60" }, },
        { 114, { id = 161354, level = "60" }, },
        { 115, { id = 61780, level = "60" }, },
        { 116, { id = 28272, level = "60" }, },
        { 117, { id = 161353, level = "60" }, },
        { 118, { id = 35715, level = "62" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 119, { id = 33690, level = "62" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 120, { id = 30449, level = "64" }, },
        { 121, { id = 35717, level = "66" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 122, { id = 33691, level = "66" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 123, { id = 120145, level = "71" }, },
        { 124, { id = 53140, level = "71" }, },
        { 125, { id = 43987, level = "72" }, },
        { 126, { id = 120146, level = "74" }, },
        { 127, { id = 117957, level = "74" }, },
        { 128, { id = 53142, level = "74" }, },
        { 129, { id = 61316, level = "80" }, },
        { 130, { id = 80353, level = "84" }, },
        { 201, { id = 88345, level = "85" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 202, { id = 88346, level = "85" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 203, { id = 88342, level = "85" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 204, { id = 88344, level = "85" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 205, { id = 159916, level = "87" }, },
        { 206, { id = 132626, level = "90" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 207, { id = 132620, level = "90" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 208, { id = 132627, level = "90" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 209, { id = 132621, level = "90" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 210, { id = 176246, level = "92" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 211, { id = 176244, level = "92" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 212, { id = 176248, level = "92" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 213, { id = 176242, level = "92" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
      },
    },
    {
      name = "Arcane",
      CoinTexture = "texture:Interface\\Icons\\spell_holy_magicalsentry",
      [MAGE_DIFF] = {
        { 1, { id = 44614, level = "1" }, },
        { 2, { id = 5019, level = "1" }, },
        { 3, { id = 122, level = "3" }, },
        { 4, { id = 2136, level = "5" }, },
        { 5, { id = 1953, level = "7" }, },
        { 6, { id = 2139, level = "8" }, },
        { 7, { id = 30451, level = "10" }, },
        { 8, { id = 114664, level = "10" }, },
        { 9, { id = 44425, level = "12" }, },
        { 10, { id = 118, level = "14" }, },
        { 11, { id = 45438, level = "15" }, },
        { 12, { id = 1449, level = "18" }, },
        { 13, { id = 12043, level = "22" }, },
        { 14, { id = 5143, level = "24" }, },
        { 15, { id = 120, level = "28" }, },
        { 16, { id = 475, level = "29" }, },
        { 17, { id = 130, level = "32" }, },
        { 18, { id = 31589, level = "36" }, },
        { 19, { id = 42955, level = "38" }, },
        { 20, { id = 12051, level = "40" }, },
        { 21, { id = 66, level = "56" }, },
        { 22, { id = 1459, level = "58" }, },
        { 23, { id = 12042, level = "62" }, },
        { 24, { id = 30449, level = "64" }, },
        { 25, { id = 43987, level = "72" }, },
        { 26, { id = 117957, level = "74" }, },
        { 27, { id = 61316, level = "80" }, },
        { 28, { id = 6117, level = "80" }, },
        { 29, { id = 76547, level = "80", rank = MASTERY }, },
        { 30, { id = 80353, level = "84" }, },
        { 101, { id = 159916, level = "87" }, },
        { 102, { id = 165359, level = "90" }, },
        { 103, { id = 157595, level = "92+", rank = EMPOWERED }, },
        { 104, { id = 157604, level = "92+", rank = EMPOWERED }, },
        { 105, { id = 157606, level = "92+", rank = EMPOWERED }, },
        { 106, { id = 157614, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Fire",
      CoinTexture = "texture:Interface\\Icons\\spell_fire_firebolt02",
      [MAGE_DIFF] = {
        { 1, { id = 44614, level = "1" }, },
        { 2, { id = 5019, level = "1" }, },
        { 3, { id = 122, level = "3" }, },
        { 4, { id = 2136, level = "5" }, },
        { 5, { id = 1953, level = "7" }, },
        { 6, { id = 2139, level = "8" }, },
        { 7, { id = 11366, level = "10" }, },
        { 8, { id = 133, level = "12" }, },
        { 9, { id = 118, level = "14" }, },
        { 10, { id = 45438, level = "15" }, },
        { 11, { id = 2948, level = "22" }, },
        { 12, { id = 108853, level = "24" }, },
        { 13, { id = 120, level = "28" }, },
        { 14, { id = 475, level = "29" }, },
        { 15, { id = 130, level = "32" }, },
        { 16, { id = 30482, level = "34" }, },
        { 17, { id = 117216, level = "36" }, },
        { 18, { id = 42955, level = "38" }, },
        { 19, { id = 2120, level = "44" }, },
        { 20, { id = 66, level = "56" }, },
        { 21, { id = 1459, level = "58" }, },
        { 22, { id = 31661, level = "62" }, },
        { 23, { id = 30449, level = "64" }, },
        { 24, { id = 33691, level = "66" }, },
        { 25, { id = 35717, level = "66" }, },
        { 26, { id = 43987, level = "72" }, },
        { 27, { id = 117957, level = "74" }, },
        { 28, { id = 11129, level = "77" }, },
        { 29, { id = 61316, level = "80" }, },
        { 30, { id = 12846, level = "80", rank = MASTERY }, },
        { 101, { id = 80353, level = "84" }, },
        { 102, { id = 159916, level = "87" }, },
        { 103, { id = 165357, level = "90" }, },
        { 104, { id = 157642, level = "92+", rank = EMPOWERED }, },
        { 105, { id = 157621, level = "92+", rank = EMPOWERED }, },
        { 106, { id = 157629, level = "92+", rank = EMPOWERED }, },
        { 107, { id = 157632, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Frost",
      CoinTexture = "texture:Interface\\Icons\\spell_frost_frostbolt02",
      [MAGE_DIFF] = {
        { 1, { id = 44614, level = "1" }, },
        { 2, { id = 5019, level = "1" }, },
        { 3, { id = 122, level = "3" }, },
        { 4, { id = 2136, level = "5" }, },
        { 5, { id = 1953, level = "7" }, },
        { 6, { id = 2139, level = "8" }, },
        { 7, { id = 31687, level = "10" }, },
        { 8, { id = 116, level = "12" }, },
        { 9, { id = 118, level = "14" }, },
        { 10, { id = 45438, level = "15" }, },
        { 11, { id = 12982, level = "16" }, },
        { 12, { id = 30455, level = "22" }, },
        { 13, { id = 112965, level = "24" }, },
        { 14, { id = 120, level = "28" }, },
        { 15, { id = 475, level = "29" }, },
        { 16, { id = 130, level = "32" }, },
        { 17, { id = 12472, level = "36" }, },
        { 18, { id = 42955, level = "38" }, },
        { 19, { id = 10, level = "52" }, },
        { 20, { id = 7302, level = "54" }, },
        { 21, { id = 66, level = "56" }, },
        { 22, { id = 1459, level = "58" }, },
        { 23, { id = 84714, level = "62" }, },
        { 24, { id = 30449, level = "64" }, },
        { 25, { id = 44572, level = "66" }, },
        { 26, { id = 43987, level = "72" }, },
        { 27, { id = 117957, level = "74" }, },
        { 28, { id = 44549, level = "77" }, },
        { 29, { id = 61316, level = "80" }, },
        { 30, { id = 76613, level = "80", rank = MASTERY }, },
        { 101, { id = 80353, level = "84" }, },
        { 102, { id = 159916, level = "87" }, },
        { 103, { id = 165360, level = "90" }, },
        { 104, { id = 157646, level = "92+", rank = EMPOWERED }, },
        { 105, { id = 157727, level = "92+", rank = EMPOWERED }, },
        { 106, { id = 157721, level = "92+", rank = EMPOWERED }, },
        { 107, { id = 157738, level = "92+", rank = EMPOWERED }, },
      },
    },
  },
}

data["CLASS_MONK"] = {
  name = "Monk",
  ContentType = CLASSES_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "General",
      CoinTexture = "texture:Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes"..coords("MONK"),
      [MONK_DIFF] = {
        { 1, 106904 },
        { 2, 106902},
        { 4, { id = 115074, level = "1" }, },
        { 5, { id = 100780, level = "1" }, },
        { 6, { id = 116812, level = "1" }, },
        { 7, { id = 103985, level = "1" }, },
        { 8, { id = 120277, level = "1" }, },
        { 9, { id = 100787, level = "3" }, },
        { 10, { id = 109132, level = "5" }, },
        { 11, { id = 100784, level = "7" }, },
        { 12, { id = 120272, level = "10" }, },
        { 13, { id = 116694, level = "12" }, },
        { 14, { id = 115546, level = "14" }, },
        { 15, { id = 115178, level = "18" }, },
        { 16, { id = 115450, level = "20" }, },
        { 17, { id = 126892, level = "20" }, },
        { 18, { id = 115080, level = "22" }, },
        { 19, { id = 115203, level = "24" }, },
        { 20, { id = 115072, level = "26" }, },
        { 21, { id = 137562, level = "30" }, },
        { 22, { id = 116705, level = "32" }, },
        { 23, { id = 115078, level = "44" }, },
        { 24, { id = 101546, level = "46" }, },
        { 25, { id = 117952, level = "54" }, },
        { 26, { id = 101643, level = "87" }, },
        { 27, { id = 119996, level = "87" }, },
      },
    },
    {
      name = "Brewmaster",
      CoinTexture = "texture:Interface\\Icons\\spell_monk_brewmaster_spec",
      [MONK_DIFF] = {
        { 1, { id = 157445, level = "1" }, },
        { 2, { id = 115074, level = "1" }, },
        { 3, { id = 100780, level = "1" }, },
        { 4, { id = 116812, level = "1" }, },
        { 5, { id = 103985, level = "1" }, },
        { 6, { id = 120277, level = "1" }, },
        { 7, { id = 100787, level = "3" }, },
        { 8, { id = 109132, level = "5" }, },
        { 9, { id = 100784, level = "7" }, },
        { 10, { id = 161608, level = "10" }, },
        { 11, { id = 115180, level = "10" }, },
        { 12, { id = 124146, level = "10" }, },
        { 13, { id = 158298, level = "10" }, },
        { 14, { id = 115069, level = "10" }, },
        { 15, { id = 120272, level = "10" }, },
        { 16, { id = 121253, level = "11" }, },
        { 17, { id = 116694, level = "12" }, },
        { 18, { id = 115546, level = "14" }, },
        { 19, { id = 115181, level = "18" }, },
        { 20, { id = 115178, level = "18" }, },
        { 21, { id = 115450, level = "20" }, },
        { 22, { id = 126892, level = "20" }, },
        { 23, { id = 115080, level = "22" }, },
        { 24, { id = 115203, level = "24" }, },
        { 25, { id = 115072, level = "26" }, },
        { 26, { id = 115295, level = "26" }, },
        { 27, { id = 137562, level = "30" }, },
        { 28, { id = 116705, level = "32" }, },
        { 29, { id = 117967, level = "34" }, },
        { 30, { id = 128938, level = "36" }, },
        { 101, { id = 115308, level = "36" }, },
        { 102, { id = 115078, level = "44" }, },
        { 103, { id = 126060, level = "45" }, },
        { 104, { id = 101546, level = "46" }, },
        { 105, { id = 120225, level = "50" }, },
        { 106, { id = 117952, level = "54" }, },
        { 107, { id = 124502, level = "56" }, },
        { 108, { id = 115315, level = "70" }, },
        { 109, { id = 119582, level = "75" }, },
        { 110, { id = 117906, level = "80", rank = MASTERY }, },
        { 111, { id = 116781, level = "81" }, },
        { 112, { id = 115176, level = "82" }, },
        { 113, { id = 101643, level = "87" }, },
        { 114, { id = 119996, level = "87" }, },
        { 115, { id = 165379, level = "90" }, },
        { 116, { id = 157361, level = "92+", rank = EMPOWERED }, },
        { 117, { id = 157366, level = "92+", rank = EMPOWERED }, },
        { 118, { id = 157362, level = "92+", rank = EMPOWERED }, },
        { 119, { id = 157363, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Mistweaver",
      CoinTexture = "texture:Interface\\Icons\\spell_monk_mistweaver_spec",
      [MONK_DIFF] = {
        { 1, { id = 115074, level = "1" }, },
        { 2, { id = 100780, level = "1" }, },
        { 3, { id = 116812, level = "1" }, },
        { 4, { id = 103985, level = "1" }, },
        { 5, { id = 120277, level = "1" }, },
        { 6, { id = 100787, level = "3" }, },
        { 7, { id = 109132, level = "5" }, },
        { 8, { id = 100784, level = "7" }, },
        { 9, { id = 139598, level = "10" }, },
        { 10, { id = 121278, level = "10" }, },
        { 11, { id = 115175, level = "10" }, },
        { 12, { id = 154436, level = "10" }, },
        { 13, { id = 115070, level = "10" }, },
        { 14, { id = 116645, level = "10" }, },
        { 15, { id = 120272, level = "10" }, },
        { 16, { id = 116694, level = "12" }, },
        { 17, { id = 115546, level = "14" }, },
        { 18, { id = 124682, level = "16" }, },
        { 19, { id = 115178, level = "18" }, },
        { 20, { id = 115450, level = "20" }, },
        { 21, { id = 115451, level = "20" }, },
        { 22, { id = 126892, level = "20" }, },
        { 23, { id = 115921, level = "22" }, },
        { 24, { id = 115080, level = "22" }, },
        { 25, { id = 115203, level = "24" }, },
        { 26, { id = 115151, level = "24" }, },
        { 27, { id = 115072, level = "26" }, },
        { 28, { id = 137562, level = "30" }, },
        { 29, { id = 116705, level = "32" }, },
        { 30, { id = 115078, level = "44" }, },
        { 101, { id = 154555, level = "45" }, },
        { 102, { id = 101546, level = "46" }, },
        { 103, { id = 120224, level = "50" }, },
        { 104, { id = 116849, level = "50" }, },
        { 105, { id = 117952, level = "54" }, },
        { 106, { id = 123766, level = "56" }, },
        { 107, { id = 115294, level = "56" }, },
        { 108, { id = 107428, level = "56" }, },
        { 109, { id = 116670, level = "62" }, },
        { 110, { id = 115460, level = "64" }, },
        { 111, { id = 116680, level = "66" }, },
        { 112, { id = 115313, level = "70" }, },
        { 113, { id = 115310, level = "78" }, },
        { 114, { id = 117907, level = "80", rank = MASTERY }, },
        { 115, { id = 101643, level = "87" }, },
        { 116, { id = 119996, level = "87" }, },
        { 117, { id = 165397, level = "90" }, },
        { 118, { id = 157361, level = "92+", rank = EMPOWERED }, },
        { 119, { id = 157366, level = "92+", rank = EMPOWERED }, },
        { 120, { id = 157401, level = "92+", rank = EMPOWERED }, },
        { 121, { id = 157398, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Windwalker",
      CoinTexture = "texture:Interface\\Icons\\spell_monk_windwalker_spec",
      [MONK_DIFF] = {
        { 1, { id = 157445, level = "1" }, },
        { 2, { id = 115074, level = "1" }, },
        { 3, { id = 100780, level = "1" }, },
        { 4, { id = 116812, level = "1" }, },
        { 5, { id = 103985, level = "1" }, },
        { 6, { id = 120277, level = "1" }, },
        { 7, { id = 100787, level = "3" }, },
        { 8, { id = 109132, level = "5" }, },
        { 9, { id = 100784, level = "7" }, },
        { 10, { id = 137384, level = "10" }, },
        { 11, { id = 124146, level = "10" }, },
        { 12, { id = 113656, level = "10" }, },
        { 13, { id = 120272, level = "10" }, },
        { 14, { id = 116694, level = "12" }, },
        { 15, { id = 115546, level = "14" }, },
        { 16, { id = 101545, level = "18" }, },
        { 17, { id = 115178, level = "18" }, },
        { 18, { id = 128595, level = "20" }, },
        { 19, { id = 115450, level = "20" }, },
        { 20, { id = 126892, level = "20" }, },
        { 21, { id = 115080, level = "22" }, },
        { 22, { id = 122470, level = "22" }, },
        { 23, { id = 115203, level = "24" }, },
        { 24, { id = 116092, level = "26" }, },
        { 25, { id = 115072, level = "26" }, },
        { 26, { id = 116095, level = "28" }, },
        { 27, { id = 137562, level = "30" }, },
        { 28, { id = 116705, level = "32" }, },
        { 29, { id = 115288, level = "36" }, },
        { 30, { id = 115078, level = "44" }, },
        { 101, { id = 101546, level = "46" }, },
        { 102, { id = 120227, level = "50" }, },
        { 103, { id = 117952, level = "54" }, },
        { 104, { id = 123980, level = "56" }, },
        { 105, { id = 107428, level = "56" }, },
        { 106, { id = 116740, level = "56" }, },
        { 107, { id = 137639, level = "75" }, },
        { 108, { id = 115636, level = "80", rank = MASTERY }, },
        { 109, { id = 166916, level = "80" }, },
        { 110, { id = 116781, level = "81" }, },
        { 111, { id = 115176, level = "82" }, },
        { 112, { id = 101643, level = "87" }, },
        { 113, { id = 119996, level = "87" }, },
        { 114, { id = 165398, level = "90" }, },
        { 115, { id = 157411, level = "92+", rank = EMPOWERED }, },
        { 116, { id = 157415, level = "92+", rank = EMPOWERED }, },
        { 117, { id = 157361, level = "92+", rank = EMPOWERED }, },
        { 118, { id = 157366, level = "92+", rank = EMPOWERED }, },
      },
    },
  },
}

data["CLASS_PALADIN"] = {
  name = "Paladin",
  ContentType = CLASSES_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "General",
      CoinTexture = "texture:Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes"..coords("PALADIN"),
      [PALADIN_DIFF] = {
        { 1, 76271 },
        { 2, 76294 },
        { 4, { id = 107, level = "1" }, },
        { 5, { id = 35395, level = "1" }, },
        { 6, { id = 82242, level = "1" }, },
        { 7, { id = 105361, level = "3" }, },
        { 8, { id = 20271, level = "5" }, },
        { 9, { id = 853, level = "7" }, },
        { 10, { id = 85673, level = "9" }, },
        { 11, { id = 25780, level = "12" }, },
        { 12, { id = 7328, level = "13" }, },
        { 13, { id = 62124, level = "15" }, },
        { 14, { id = 633, level = "16" }, },
        { 15, { id = 642, level = "18" }, },
        { 16, { id = 4987, level = "20" }, },
        { 17, { id = 13819, level = "20", rank = COLOR_ALLIANCE.."Human" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 18, { id = 73629, level = "20", rank = COLOR_ALLIANCE.."|cFF4444BBDraenei" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 19, { id = 69820, level = "20", rank = COLOR_HORDE.."Tauren" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 20, { id = 34769, level = "20", rank = COLOR_HORDE.."Blood Elf" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 21, { id = 498, level = "26" }, },
        { 22, { id = 20217, level = "30" }, },
        { 23, { id = 20165, level = "32" }, },
        { 24, { id = 96231, level = "36" }, },
        { 25, { id = 24275, level = "38" }, },
        { 26, { id = 23214, level = "40", rank = COLOR_ALLIANCE.."Human" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 27, { id = 73630, level = "40", rank = COLOR_ALLIANCE.."Draenei" }, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 28, { id = 69826, level = "40", rank = COLOR_HORDE.."Tauren" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 29, { id = 34767, level = "40", rank = COLOR_HORDE.."Blood Elf" }, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 30, { id = 32223, level = "44" }, },
        { 101, { id = 10326, level = "46" }, },
        { 102, { id = 1022, level = "48" }, },
        { 103, { id = 1044, level = "52" }, },
        { 104, { id = 25956, level = "58" }, },
        { 105, { id = 6940, level = "80" }, },
        { 106, { id = 19740, level = "81" }, },
        { 107, { id = 115675, level = "85" }, },
      },
    },
    {
      name = "Holy",
      CoinTexture = "texture:Interface\\Icons\\spell_holy_holybolt",
      [PALADIN_DIFF] = {
        { 1, { id = 107, level = "1" }, },
        { 2, { id = 35395, level = "1" }, },
        { 3, { id = 82242, level = "1" }, },
        { 4, { id = 105361, level = "3" }, },
        { 5, { id = 20271, level = "5" }, },
        { 6, { id = 853, level = "7" }, },
        { 7, { id = 85673, level = "9" }, },
        { 8, { id = 112859, level = "10" }, },
        { 9, { id = 20473, level = "10" }, },
        { 10, { id = 25780, level = "12" }, },
        { 11, { id = 7328, level = "13" }, },
        { 12, { id = 19750, level = "14" }, },
        { 13, { id = 62124, level = "15" }, },
        { 14, { id = 633, level = "16" }, },
        { 15, { id = 642, level = "18" }, },
        { 16, { id = 4987, level = "20" }, },
        { 17, { id = 2812, level = "20" }, },
        { 18, { id = 53551, level = "20" }, },
        { 19, { id = 498, level = "26" }, },
        { 20, { id = 82327, level = "28" }, },
        { 21, { id = 20217, level = "30" }, },
        { 22, { id = 20165, level = "32" }, },
        { 23, { id = 31868, level = "34" }, },
        { 24, { id = 96231, level = "36" }, },
        { 25, { id = 24275, level = "38" }, },
        { 26, { id = 53563, level = "39" }, },
        { 27, { id = 32223, level = "44" }, },
        { 28, { id = 10326, level = "46" }, },
        { 29, { id = 1022, level = "48" }, },
        { 30, { id = 53576, level = "50" }, },
        { 101, { id = 1044, level = "52" }, },
        { 102, { id = 82326, level = "54" }, },
        { 103, { id = 88821, level = "56" }, },
        { 104, { id = 25956, level = "58" }, },
        { 105, { id = 31821, level = "60" }, },
        { 106, { id = 85222, level = "70" }, },
        { 107, { id = 31842, level = "72" }, },
        { 108, { id = 6940, level = "80" }, },
        { 109, { id = 76669, level = "80", rank = MASTERY }, },
        { 110, { id = 19740, level = "81" }, },
        { 111, { id = 115675, level = "85" }, },
        { 112, { id = 165380, level = "90" }, },
        { 113, { id = 157453, level = "92+", rank = EMPOWERED }, },
        { 114, { id = 157478, level = "92+", rank = EMPOWERED }, },
        { 115, { id = 157455, level = "92+", rank = EMPOWERED }, },
        { 116, { id = 157482, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Protection",
      CoinTexture = "texture:Interface\\Icons\\ability_paladin_shieldofthetemplar",
      [PALADIN_DIFF] = {
        { 1, { id = 107, level = "1" }, },
        { 2, { id = 35395, level = "1" }, },
        { 3, { id = 82242, level = "1" }, },
        { 4, { id = 105361, level = "3" }, },
        { 5, { id = 20271, level = "5" }, },
        { 6, { id = 853, level = "7" }, },
        { 7, { id = 85673, level = "9" }, },
        { 8, { id = 31935, level = "10" }, },
        { 9, { id = 161608, level = "10" }, },
        { 10, { id = 53592, level = "10" }, },
        { 11, { id = 158298, level = "10" }, },
        { 12, { id = 105805, level = "10" }, },
        { 13, { id = 25780, level = "12" }, },
        { 14, { id = 7328, level = "13" }, },
        { 15, { id = 19750, level = "14" }, },
        { 16, { id = 62124, level = "15" }, },
        { 17, { id = 633, level = "16" }, },
        { 18, { id = 642, level = "18" }, },
        { 19, { id = 4987, level = "20" }, },
        { 20, { id = 53595, level = "20" }, },
        { 21, { id = 119072, level = "20" }, },
        { 22, { id = 31801, level = "24" }, },
        { 23, { id = 498, level = "26" }, },
        { 24, { id = 105424, level = "28" }, },
        { 25, { id = 20217, level = "30" }, },
        { 26, { id = 20165, level = "32" }, },
        { 27, { id = 26573, level = "34" }, },
        { 28, { id = 96231, level = "36" }, },
        { 29, { id = 24275, level = "38" }, },
        { 30, { id = 53600, level = "40" }, },
        { 101, { id = 20154, level = "42" }, },
        { 102, { id = 32223, level = "44" }, },
        { 103, { id = 10326, level = "46" }, },
        { 104, { id = 1022, level = "48" }, },
        { 105, { id = 85043, level = "50" }, },
        { 106, { id = 159374, level = "50" }, },
        { 107, { id = 1044, level = "52" }, },
        { 108, { id = 25956, level = "58" }, },
        { 109, { id = 1038, level = "66" }, },
        { 110, { id = 31850, level = "70" }, },
        { 111, { id = 86659, level = "75" }, },
        { 112, { id = 161800, level = "76" }, },
        { 113, { id = 6940, level = "80" }, },
        { 114, { id = 76671, level = "80", rank = MASTERY }, },
        { 115, { id = 19740, level = "81" }, },
        { 116, { id = 115675, level = "85" }, },
        { 117, { id = 165375, level = "90" }, },
        { 118, { id = 157485, level = "92+", rank = EMPOWERED }, },
        { 119, { id = 157488, level = "92+", rank = EMPOWERED }, },
        { 120, { id = 157486, level = "92+", rank = EMPOWERED }, },
        { 121, { id = 157482, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Retribution",
      CoinTexture = "texture:Interface\\Icons\\spell_holy_auraoflight",
      [PALADIN_DIFF] = {
        { 1, { id = 107, level = "1" }, },
        { 2, { id = 35395, level = "1" }, },
        { 3, { id = 82242, level = "1" }, },
        { 4, { id = 105361, level = "3" }, },
        { 5, { id = 20271, level = "5" }, },
        { 6, { id = 853, level = "7" }, },
        { 7, { id = 85673, level = "9" }, },
        { 8, { id = 53503, level = "10" }, },
        { 9, { id = 85256, level = "10" }, },
        { 10, { id = 25780, level = "12" }, },
        { 11, { id = 7328, level = "13" }, },
        { 12, { id = 19750, level = "14" }, },
        { 13, { id = 62124, level = "15" }, },
        { 14, { id = 633, level = "16" }, },
        { 15, { id = 642, level = "18" }, },
        { 16, { id = 4987, level = "20" }, },
        { 17, { id = 53595, level = "20" }, },
        { 18, { id = 31801, level = "24" }, },
        { 19, { id = 498, level = "26" }, },
        { 20, { id = 20217, level = "30" }, },
        { 21, { id = 20165, level = "32" }, },
        { 22, { id = 53385, level = "34" }, },
        { 23, { id = 31868, level = "34" }, },
        { 24, { id = 96231, level = "36" }, },
        { 25, { id = 24275, level = "38" }, },
        { 26, { id = 20154, level = "42" }, },
        { 27, { id = 32223, level = "44" }, },
        { 28, { id = 879, level = "46" }, },
        { 29, { id = 10326, level = "46" }, },
        { 30, { id = 1022, level = "48" }, },
        { 101, { id = 1044, level = "52" }, },
        { 102, { id = 121783, level = "54" }, },
        { 103, { id = 25956, level = "58" }, },
        { 104, { id = 20164, level = "70" }, },
        { 105, { id = 31884, level = "72" }, },
        { 106, { id = 140333, level = "80" }, },
        { 107, { id = 6940, level = "80" }, },
        { 108, { id = 76672, level = "80", rank = MASTERY }, },
        { 109, { id = 167187, level = "80" }, },
        { 110, { id = 19740, level = "81" }, },
        { 111, { id = 115675, level = "85" }, },
        { 112, { id = 165381, level = "90" }, },
        { 113, { id = 174718, level = "92+", rank = EMPOWERED }, },
        { 114, { id = 157496, level = "92+", rank = EMPOWERED }, },
        { 115, { id = 157493, level = "92+", rank = EMPOWERED }, },
        { 116, { id = 157482, level = "92+", rank = EMPOWERED }, },
      },
    },
  },
}

data["CLASS_PRIEST"] = {
  name = "Priest",
  ContentType = CLASSES_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "General",
      CoinTexture = "texture:Interface\\Glues\\CharacterCreate\\UI-CharacterCreate-Classes"..coords("PRIEST"),
      [PRIEST_DIFF] = {
        { 1, 76279 },
        { 2, 76301 },
        { 4, { id = 5019, level = "1" }, },
        { 5, { id = 585, level = "1" }, },
        { 6, { id = 589, level = "3" }, },
        { 7, { id = 17, level = "5" }, },
        { 8, { id = 2061, level = "7" }, },
        { 9, { id = 2006, level = "18" }, },
        { 10, { id = 21562, level = "22" }, },
        { 11, { id = 586, level = "24" }, },
        { 12, { id = 528, level = "26" }, },
        { 13, { id = 48045, level = "28" }, },
        { 14, { id = 9484, level = "32" }, },
        { 15, { id = 1706, level = "34" }, },
        { 16, { id = 2096, level = "42" }, },
        { 17, { id = 34433, level = "42" }, },
        { 18, { id = 6346, level = "54" }, },
        { 19, { id = 33076, level = "68" }, },
        { 10, { id = 32375, level = "72" }, },
        { 21, { id = 73325, level = "84" }, },
      },
    },
    {
      name = "Discipline",
      CoinTexture = "texture:Interface\\Icons\\spell_holy_powerwordshield",
      [PRIEST_DIFF] = {
        { 1, { id = 5019, level = "1" }, },
        { 2, { id = 585, level = "1" }, },
        { 3, { id = 589, level = "3" }, },
        { 4, { id = 17, level = "5" }, },
        { 5, { id = 2061, level = "7" }, },
        { 6, { id = 52798, level = "10" }, },
        { 7, { id = 95860, level = "10" }, },
        { 8, { id = 47540, level = "10" }, },
        { 9, { id = 47536, level = "10" }, },
        { 10, { id = 87336, level = "10" }, },
        { 11, { id = 14914, level = "18" }, },
        { 12, { id = 2006, level = "18" }, },
        { 13, { id = 132157, level = "20" }, },
        { 14, { id = 21562, level = "22" }, },
        { 15, { id = 527, level = "22" }, },
        { 16, { id = 47515, level = "24" }, },
        { 17, { id = 586, level = "24" }, },
        { 18, { id = 528, level = "26" }, },
        { 19, { id = 48045, level = "28" }, },
        { 20, { id = 45243, level = "30" }, },
        { 21, { id = 9484, level = "32" }, },
        { 22, { id = 2060, level = "34" }, },
        { 23, { id = 1706, level = "34" }, },
        { 24, { id = 81749, level = "38" }, },
        { 25, { id = 2096, level = "42" }, },
        { 26, { id = 34433, level = "42" }, },
        { 27, { id = 81662, level = "44" }, },
        { 28, { id = 47517, level = "45" }, },
        { 29, { id = 596, level = "46" }, },
        { 30, { id = 81700, level = "50" }, },
        { 101, { id = 15487, level = "52" }, },
        { 102, { id = 6346, level = "54" }, },
        { 103, { id = 33206, level = "58" }, },
        { 104, { id = 33076, level = "68" }, },
        { 105, { id = 62618, level = "70" }, },
        { 106, { id = 32375, level = "72" }, },
        { 107, { id = 77484, level = "80", rank = MASTERY }, },
        { 108, { id = 73325, level = "84" }, },
        { 109, { id = 165376, level = "90" }, },
        { 110, { id = 157197, level = "92+", rank = EMPOWERED }, },
        { 111, { id = 157193, level = "92+", rank = EMPOWERED }, },
        { 112, { id = 157145, level = "92+", rank = EMPOWERED }, },
        { 113, { id = 157129, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Holy",
      CoinTexture = "texture:Interface\\Icons\\spell_holy_guardianspirit",
      [PRIEST_DIFF] = {
        { 1, { id = 5019, level = "1" }, },
        { 2, { id = 585, level = "1" }, },
        { 3, { id = 589, level = "3" }, },
        { 4, { id = 17, level = "5" }, },
        { 5, { id = 2061, level = "7" }, },
        { 6, { id = 88625, level = "10" }, },
        { 7, { id = 95861, level = "10" }, },
        { 8, { id = 87336, level = "10" }, },
        { 9, { id = 14914, level = "18" }, },
        { 10, { id = 2006, level = "18" }, },
        { 11, { id = 21562, level = "22" }, },
        { 12, { id = 527, level = "22" }, },
        { 13, { id = 586, level = "24" }, },
        { 14, { id = 528, level = "26" }, },
        { 15, { id = 139, level = "26" }, },
        { 16, { id = 48045, level = "28" }, },
        { 17, { id = 45243, level = "30" }, },
        { 18, { id = 20711, level = "30" }, },
        { 19, { id = 9484, level = "32" }, },
        { 20, { id = 2060, level = "34" }, },
        { 21, { id = 1706, level = "34" }, },
        { 22, { id = 63733, level = "34" }, },
        { 23, { id = 126135, level = "36" }, },
        { 24, { id = 2096, level = "42" }, },
        { 25, { id = 34433, level = "42" }, },
        { 26, { id = 596, level = "46" }, },
        { 27, { id = 32546, level = "48" }, },
        { 28, { id = 34861, level = "50" }, },
        { 29, { id = 6346, level = "54" }, },
        { 30, { id = 81209, level = "56" }, },
        { 101, { id = 81206, level = "56" }, },
        { 102, { id = 81208, level = "56" }, },
        { 103, { id = 95649, level = "64" }, },
        { 104, { id = 33076, level = "68" }, },
        { 105, { id = 47788, level = "70" }, },
        { 106, { id = 32375, level = "72" }, },
        { 107, { id = 64843, level = "78" }, },
        { 108, { id = 77485, level = "80", rank = MASTERY }, },
        { 109, { id = 73325, level = "84" }, },
        { 110, { id = 165362, level = "90" }, },
        { 111, { id = 157206, level = "92+", rank = EMPOWERED }, },
        { 112, { id = 157193, level = "92+", rank = EMPOWERED }, },
        { 113, { id = 157145, level = "92+", rank = EMPOWERED }, },
        { 114, { id = 157207, level = "92+", rank = EMPOWERED }, },
      },
    },
    {
      name = "Shadow",
      CoinTexture = "texture:Interface\\Icons\\spell_shadow_shadowwordpain",
      [PRIEST_DIFF] = {
        { 1, { id = 5019, level = "1" }, },
        { 2, { id = 585, level = "1" }, },
        { 3, { id = 589, level = "3" }, },
        { 4, { id = 17, level = "5" }, },
        { 5, { id = 2061, level = "7" }, },
        { 6, { id = 165201, level = "10" }, },
        { 7, { id = 15407, level = "10" }, },
        { 8, { id = 2006, level = "18" }, },
        { 9, { id = 2944, level = "21" }, },
        { 10, { id = 8092, level = "21" }, },
        { 11, { id = 95740, level = "21" }, },
        { 12, { id = 21562, level = "22" }, },
        { 13, { id = 586, level = "24" }, },
        { 14, { id = 15473, level = "24" }, },
        { 15, { id = 528, level = "26" }, },
        { 16, { id = 48045, level = "28" }, },
        { 17, { id = 34914, level = "28" }, },
        { 18, { id = 9484, level = "32" }, },
        { 19, { id = 1706, level = "34" }, },
        { 20, { id = 2096, level = "42" }, },
        { 21, { id = 34433, level = "42" }, },
        { 22, { id = 78203, level = "42" }, },
        { 23, { id = 73510, level = "44" }, },
        { 24, { id = 32379, level = "46" }, },
        { 25, { id = 15487, level = "52" }, },
        { 26, { id = 6346, level = "54" }, },
        { 27, { id = 47585, level = "60" }, },
        { 28, { id = 33076, level = "68" }, },
        { 29, { id = 32375, level = "72" }, },
        { 30, { id = 64044, level = "74" }, },
        { 101, { id = 15286, level = "78" }, },
        { 102, { id = 77486, level = "80", rank = MASTERY }, },
        { 103, { id = 73325, level = "84" }, },
        { 104, { id = 165370, level = "90" }, },
        { 105, { id = 157223, level = "92+", rank = EMPOWERED }, },
        { 106, { id = 157129, level = "92+", rank = EMPOWERED }, },
        { 107, { id = 157217, level = "92+", rank = EMPOWERED }, },
        { 108, { id = 157218, level = "92+", rank = EMPOWERED }, },
      },
    },
  },
}

data["RACIALS"] = {
  name = "Racial Abilities",
  ContentType = RACIAL_CONTENT,
  TableType = SPELL_ITTYPE,
  items = {
    {
      name = "Blood Elf",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_bloodelf_male",
      [HORDE_RACIAL_DIFF] = {
        { 1, 154742 },
        { 2, 28877 },
        { 3, 822 },
        { 4, 28730 },
        { 5, { id = 50613, rank = colorstr("DEATHKNIGHT").."Death Knight" }, },
        { 6, { id = 80483, rank = colorstr("HUNTER").."Hunter" }, },
        { 7, { id = 129597, rank = colorstr("MONK").."Monk" }, },
        { 8, { id = 155145, rank = colorstr("PALADIN").."Paladin" }, },
        { 9, { id = 25046, rank = colorstr("ROGUE").."Rogue" }, },
        { 10, { id = 69179, rank = colorstr("WARRIOR").."Warrior" }, },
        { 12, 669 },
        { 13, 813 },
      },
    },
    {
      name = "Draenei",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_draenei_male",
      [ALLIANCE_RACIAL_DIFF] = {
        { 1, 28875 },
        { 2, 121093 },
        { 3, 6562 },
        { 4, 59221 },
        { 6, 668 },
        { 7, 29932 },
      },
    },
    {
      name = "Dwarf",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_dwarf_male",
      [ALLIANCE_RACIAL_DIFF] = {
        { 1, 92682 },
        { 2, 20596 },
        { 3, 59224 },
        { 4, 20594 },
        { 6, 668 },
        { 7, 672 },
      },
    },
    {
      name = "Gnome",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_gnome_male",
      [ALLIANCE_RACIAL_DIFF] = {
        { 1, 20592 },
        { 2, 20593 },
        { 3, 20589 },
        { 4, 92680 },
        { 5, 20591 },
        { 6, { id = 154744, rank = colorstr("ROGUE").."Rogue" }, },
        { 7, { id = 154747, rank = colorstr("DEATHKNIGHT").."Death Knight" }, },
        { 8, { id = 154746, rank = colorstr("WARRIOR").."Warrior" }, },        
        { 10, 668 },
        { 11, 7340 },
      },
    },
    {
      name = "Goblin",
      CoinTexture = "texture:Interface\\Icons\\achievement_goblinhead",
      [HORDE_RACIAL_DIFF] = {
        { 1, 69044 },
        { 2, 69045 },
        { 3, 69046 },
        { 4, 69041 },
        { 5, 69070 },
        { 6, 69042 },
        { 8, 669 },
        { 9, 69269 },
      },
    },
    {
      name = "Human",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_human_male",
      [ALLIANCE_RACIAL_DIFF] = {
        { 1, 20599 },
        { 2, 59752 },
        { 3, 20598 },
        { 5, 668 },
      },
    },
    {
      name = "Night Elf",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_nightelf_male",
      [ALLIANCE_RACIAL_DIFF] = {
        { 1, 20583 },
        { 2, 20582 },
        { 3, 58984 },
        { 4, 154748 },
        { 5, 20585 },
        { 7, 668 },
        { 8, 671 },
      },
    },
    {
      name = "Orc",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_orc_male",
      [HORDE_RACIAL_DIFF] = {
        { 1, 20573 },
        { 2, { id = 20572, rank = colorstr("DEATHKNIGHT").."DK "..colorstr("HUNTER").."Hunter "..colorstr("ROGUE").."Rogue "..colorstr("WARRIOR").."Warrior" }, },
        { 3, { id = 33697, rank = colorstr("MONK").."Monk "..colorstr("SHAMAN").."Shaman" }, },
        { 4, { id = 33702, rank = colorstr("MAGE").."Mage "..colorstr("WARLOCK").."Warlock" }, },
        { 6, 669 },
      },
    },
    {
      name = "Pandaren",
      CoinTexture = "texture:Interface\\Icons\\achievement_guild_classypanda",
      [BOTH_RACIAL_DIFF] = {
        { 1, 107076 },
        { 2, 107072 },
        { 3, 107073 },
        { 4, 107074 },
        { 5, 107079 },
        { 7, 669, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 8, 108131, [ATLASLOOT_IT_HORDE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 9, 668, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 10, 108130, [ATLASLOOT_IT_ALLIANCE] = true, [FACTION_INFO_IS_SET_ID] = true },
        { 11, 108127 },
      },
    },
    {
      name = "Tauren",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_tauren_male",
      [HORDE_RACIAL_DIFF] = {
        { 1, 154743 },
        { 2, 20552 },
        { 3, 20550 },
        { 4, 20551 },
        { 5, 20549 },
        { 7, 669 },
        { 8, 670 },
      },
    },
    {
      name = "Troll",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_troll_male",
      [HORDE_RACIAL_DIFF] = {
        { 1, 20557 },
        { 2, 26297 },
        { 3, 58943 },
        { 4, 20555 },
        { 6, 669 },
        { 7, 7341 },
      },
    },
    {
      name = "Undead",
      CoinTexture = "texture:Interface\\Icons\\achievement_character_undead_male",
      [HORDE_RACIAL_DIFF] = {
        { 1, 20577 },
        { 2, 20579 },
        { 3, 5227 },
        { 4, 7744 },
        { 6, 669 },
        { 7, 17737 },
      },
    },
    {
      name = "Worgen",
      CoinTexture = "texture:Interface\\Icons\\achievement_worganhead",
      [ALLIANCE_RACIAL_DIFF] = {
        { 1, 68976 },
        { 2, 94293 },
        { 3, 68992 },
        { 4, 68978 },
        { 5, 87840 },
        { 6, 68996 },
        { 7, 68975 },
        { 9, 668 },
        { 10, 69270 },
      },
    },
  },
}

function cmdebug()
  local i=1
  while 1 do
    local skillType, spellId = GetSpellBookItemInfo(i, BOOKTYPE_SPELL)
    local spellName, spellSubName = GetSpellBookItemName(i, BOOKTYPE_SPELL)
    local spellLevel = GetSpellAvailableLevel(i, BOOKTYPE_SPELL)
    if not spellName then break end
    print("{ , { id = "..spellId..", level = "..spellLevel..", name = \""..spellName.."\" }, },")

    i=i+1
  end
end
function cmdebug2(arg)
  print("|T"..arg..":16|t")
end






